package com.tofly.xrtygis.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.data.repository.query.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface AreaSubTableMapper {
    /**
     * 获取全部片区
     * @return list
     */
    List<Map> getArea();

    /**
     * 获取抄表本信息
     * @param cbpqbm 抄表片区编码
     * @return list
     */
    List<Map> getCopybook(@Param("cbpqbm") String cbpqbm);

    /**
     * 获取用户水表档案
     * @param page page
     * @param cbb 抄表本
     * @param dto 模糊查询条件
     * @return page
     */
    Page<Map> getSubTable(Page page,@Param("cbb") String cbb,@Param("dto") String dto);

    List<Map> exportSubTable(@Param("cbb") String cbb, @Param("dto") String dto);

    Page<Map> getUseWater(Page page, @Param("khbh") String khbh, @Param("start") Date start, @Param("end") Date end);


}
